package com.duben.microtribe.mvp.model;

import java.io.Serializable;
import java.util.LinkedList;

/**
 * 描述：版本信息
 * 作者：孟崔广
 * 时间：2019/10/29 18:42
 * 邮箱：mengcga@163.com
 */
public class CheckVersion implements Serializable {

    private static final long serialVersionUID = -7241422035310338721L;

    /**
     * upgrades : [{"updateid":"583ab0df6b4744ae986afcff0d1e45a4","version":"1.0.1","updatemsg":"cj","script":null,"forceflag":1,"updatenum":1,"createtime":1483169915000,"updatetime":1483169918000}]
     * forceUpgrade : true
     */

    private boolean upgrade;
    private LinkedList<UpgradesBean> upgradeMsg;

    public boolean isForceUpgrade() {
        return upgrade;
    }

    public void setForceUpgrade(boolean forceUpgrade) {
        this.upgrade = forceUpgrade;
    }

    public LinkedList<UpgradesBean> getUpgrades() {
        return upgradeMsg;
    }

    public void setUpgrades(LinkedList<UpgradesBean> upgrades) {
        this.upgradeMsg = upgrades;
    }

    public class UpgradesBean implements Serializable {
        /**
         * updateid : 583ab0df6b4744ae986afcff0d1e45a4
         * version : 1.0.1
         * updatemsg : cj
         * script : null
         * forceflag : 1
         * updatenum : 1
         * createtime : 1483169915000
         * updatetime : 1483169918000
         */

        private String updateid;
        private String version;
        private String updatemsg;
        private String url;
        private int forceflag;
        private int updatenum;

        public String getUpdateid() {
            return updateid;
        }

        public void setUpdateid(String updateid) {
            this.updateid = updateid;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getUpdatemsg() {
            return updatemsg;
        }

        public void setUpdatemsg(String updatemsg) {
            this.updatemsg = updatemsg;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getForceflag() {
            return forceflag;
        }

        public void setForceflag(int forceflag) {
            this.forceflag = forceflag;
        }

        public int getUpdatenum() {
            return updatenum;
        }

        public void setUpdatenum(int updatenum) {
            this.updatenum = updatenum;
        }
    }
}
